% Andean Isotope Model Parameter Values

% Integration coordinate is METERS ALONG PATH (starting at 0, natch.)
% Path1 = Oceanic/Amazonian portion;
% Path2 = Dogleg up onto Andes
% For now, we're just looking at Path1

% Read in climate file.

load Andes_climate_path1_base.dat;

climate           = Andes_climate_path1_base;
number_nodes      = size(climate,1);

for i=1:1:number_nodes
  if climate(i,9) == 1
    i_land        = i+1;
  end
end

l(:,1)            = climate(:,1);
l_incr            = l(2,1)-l(1,1);

ts(:,1)           = climate(:,1);
ts(:,2)           = climate(:,2);
tc(:,1)           = climate(:,1);
tc(:,2)           = climate(:,3);
wc(:,1)           = climate(:,1);
wc(:,2)           = climate(:,4);
E(:,1)            = climate(:,1);
E(:,2)            = climate(:,5);
P(:,1)            = climate(:,1);
P(:,2)            = climate(:,6);
h(:,1)            = climate(:,1);
h(:,2)            = climate(:,7);
run(:,1)          = climate(:,1);
run(:,2)          = climate(:,8);
ocean(:,1)        = climate(:,1);
ocean(:,2)        = climate(:,9);

% Set integration starting points, tolerance:

d_del_init          = 1.0e+00;     % Shooting method starting point
d_del_tol           = 1.0e-05;     % Shooting method tolerance
delta_d_del_init    = -d_del_init; % Shooting method starting point

