function value = alpha_18_eff(T)

% ALPHA_18_EFF calculates the effective equlibrium fractionation 
% factor (i.e. including the ice-vapor and liquid-vapor fractions) 
% for oxygen-18 at a given temperature T (expressed in Kelvin).

value = fraction_il(T)*alpha_18_iv(T) + (1-fraction_il(T))*alpha_18_lv(T);

