function value = alpha_18_lv(T)

% ALPHA_18_LV calculates the liquid-vapor equlibrium fractionation 
% factor for oxygen-18 at a given temperature T (expressed in Kelvin).

c0=-7.685e-3;
c1= 6.7123e0;
c2=-1.664e3;
c3= 0.35041e6;

value = exp(c0+c1/T+c2/T^2+c3/T^3);

% Majoube, 1971:

%value=exp(1137/T^2-0.4156/T-0.0020667);

