function value = alpha_D_iv(T)

% ALPHA_D_IV calculates the ice-vapor fractionation factor
% for deuterium at a given temperature T (expressed in Kelvin).

% Equilibrium fractionation factor:

C1= 7074;
C2= 0.041;

alpha_e = 10^(C1/T^2 - C2);

%value=alpha_e;

% Kinetic fractionation:

% Values for tunable parameters C and F are suggested to lie between
% 1.00 < C < 1.04 and
% 0.005 < F < 0.007 per C, with
% DD = 1.0251

C = 1.04;
F = 0.003;
DD = 1.0251;

S_i = C-F*(T-273.16);

value = S_i/(1/alpha_e+(S_i-1)*DD);

