% ALPHA_BETA finds values for alpha and beta, defined as:
%
% alpha = (del_D_1-del_D_0)/dT
%
% beta  = (d_1-d_0)/dT
%

for index=1:1:number_nodes
  if dD_b(index,4)>=-30.0
    i_30_0=index;
  elseif dD_b(index,4)>=-40.0
    i_40_0=index;
  elseif dD_b(index,4)>=-50.0
    i_50_0=index;
  elseif dD_b(index,4)>=-55.0
    i_55_0=index;
  end
  if dD(index,4)>=-30.0
    i_30_1=index;
  elseif dD(index,4)>=-40.0
    i_40_1=index;
  elseif dD(index,4)>=-50.0
    i_50_1=index;
  elseif dD(index,4)>=-55.0
    i_55_1=index;
  end
end

del_D_0_30_v=dD_b(i_30_0,3);
del_D_0_40_v=dD_b(i_40_0,3);
del_D_0_50_v=dD_b(i_50_0,3);
del_D_0_55_v=dD_b(i_55_0,3);

del_D_0_30_k=dD_b(i_30_0,2);
del_D_0_40_k=dD_b(i_40_0,2);
del_D_0_50_k=dD_b(i_50_0,2);
del_D_0_55_k=dD_b(i_55_0,2);

d_0_30_v=excess_p_b(i_30_0,3);
d_0_40_v=excess_p_b(i_40_0,3);
d_0_50_v=excess_p_b(i_50_0,3);
d_0_55_v=excess_p_b(i_55_0,3);

d_0_30_k=excess_p_b(i_30_0,2);
d_0_40_k=excess_p_b(i_40_0,2);
d_0_50_k=excess_p_b(i_50_0,2);
d_0_55_k=excess_p_b(i_55_0,2);

del_D_1_30_v=dD(i_30_1,3);
del_D_1_40_v=dD(i_40_1,3);
del_D_1_50_v=dD(i_50_1,3);
del_D_1_55_v=dD(i_55_1,3);

del_D_1_30_k=dD(i_30_1,2);
del_D_1_40_k=dD(i_40_1,2);
del_D_1_50_k=dD(i_50_1,2);
del_D_1_55_k=dD(i_55_1,2);

d_1_30_v=excess_p(i_30_1,3);
d_1_40_v=excess_p(i_40_1,3);
d_1_50_v=excess_p(i_50_1,3);
d_1_55_v=excess_p(i_55_1,3);

d_1_30_k=excess_p(i_30_1,2);
d_1_40_k=excess_p(i_40_1,2);
d_1_50_k=excess_p(i_50_1,2);
d_1_55_k=excess_p(i_55_1,2);

if temp_shift==0.0
  denom=1;
else
  denom_ab=sign(temp_shift);
end

alpha_30_v=(del_D_1_30_v-del_D_0_30_v)/denom_ab;
alpha_30_k=(del_D_1_30_k-del_D_0_30_k)/denom_ab;
alpha_40_v=(del_D_1_40_v-del_D_0_40_v)/denom_ab;
alpha_40_k=(del_D_1_40_k-del_D_0_40_k)/denom_ab;
alpha_50_v=(del_D_1_50_v-del_D_0_50_v)/denom_ab;
alpha_50_k=(del_D_1_50_k-del_D_0_50_k)/denom_ab;
alpha_55_v=(del_D_1_55_v-del_D_0_55_v)/denom_ab;
alpha_55_k=(del_D_1_55_k-del_D_0_55_k)/denom_ab;

beta_30_v=(d_1_30_v-d_0_30_v)/denom_ab;
beta_30_k=(d_1_30_k-d_0_30_k)/denom_ab;
beta_40_v=(d_1_40_v-d_0_40_v)/denom_ab;
beta_40_k=(d_1_40_k-d_0_40_k)/denom_ab;
beta_50_v=(d_1_50_v-d_0_50_v)/denom_ab;
beta_50_k=(d_1_50_k-d_0_50_k)/denom_ab;
beta_55_v=(d_1_55_v-d_0_55_v)/denom_ab;
beta_55_k=(d_1_55_k-d_0_55_k)/denom_ab;

a_b(1,1)=-30.0;
a_b(2,1)=-40.0;
a_b(3,1)=-50.0;
a_b(4,1)=-55.0;
a_b(1,2)=alpha_30_v;
a_b(2,2)=alpha_40_v;
a_b(3,2)=alpha_50_v;
a_b(4,2)=alpha_55_v;
a_b(1,3)=alpha_30_k;
a_b(2,3)=alpha_40_k;
a_b(3,3)=alpha_50_k;
a_b(4,3)=alpha_55_k;
a_b(1,4)=beta_30_v;
a_b(2,4)=beta_40_v;
a_b(3,4)=beta_50_v;
a_b(4,4)=beta_55_v;
a_b(1,5)=beta_30_k;
a_b(2,5)=beta_40_k;
a_b(3,5)=beta_50_k;
a_b(4,5)=beta_55_k;

save path1_base_alpha_beta.dat /ascii a_b;
