function value = del_18_e(T,del_s,h)

% DEL_18_E calculates the evaporative del_18 value.
% The temperature T should be expressed in Kelvin.

f_k      = 1.0; % Kinetic fraction weight factor: 0=equilib.; 1=kinetic

alpha_18 = f_k*alpha_18_lv(T)*alpha_18_k(h)+(1-f_k)*alpha_18_lv(T);

value = (1/alpha_18)*(del_s+1) - 1;

