% DEL_18_INV.M

% Investigates the range of values of del_18_e for various ratios of P/E

alpha_e   = alpha_18_lv(25.0+273.16);
del_p     = -0.020; % -20 permil
P         = 1.0;
j         = 0;

for i=0.01:0.01:3
  j      = j+1;
  E      = i;
  R      = P-E;

  alpha_einv=1/alpha_e;
  del_e1 = del_p; % red
  del_e2 = (1/alpha_e)*(1+del_p)-1; % blue
  del_e3 = del_p*((P/E)-((R^alpha_einv)/(E*P^(alpha_einv-1)))) ...
           + (R/E)*(1-(R/P)^(alpha_einv-1)); % green

  f(j,1) = i;
  f(j,2) = del_e1;
  f(j,3) = del_e2;
  f(j,4) = del_e3;
end

figure
plot(f(:,1),1000*f(:,2),'r-')
hold
plot(f(:,1),1000*f(:,3),'b-')
plot(f(:,1),1000*f(:,4),'g-')

grid

xlabel('E/P; red: del_e=del_p; blue: del_s=del_p; green=calc')
ylabel('del_e, permil')
