function value = evap_del_D(del_a,del_w,T_c,T_s,h,P,E,F,ocean)

% EVAP_DEL_D calculates the evaporative del D value at a given location.
% The flow-parallel fraction F isn't used in this function, but has been 
% left in the list of inputs so that they are identical to those for 
% the nearly-identical function source_sink_D.

f_s = 0.4; % Evaporative del_e: 0=fractionated from del_s; 1=del_s

%eps_And = 0.0;   % = added influx of Andean runoff; fraction of P 
%del_And = 0.000; % = del D value of Andean runoff

eps_And = E/P-1;
if eps_And > 0.0
  f_r     = 0.0;
else
  eps_And = 0.0;
  f_r     = ((1+eps_And)*P-E)/P;
end

if ocean==1             % Surface at this latitude is ocean
  del_s = del_w;
else                    % Surface at this latitude is land
  alpha_e = alpha_D_e(T_s,h);
  del_p   = del_D_p(T_c,del_a);
  del_And = del_p;
%  del_s   = P*((1+del_p)+(1+del_And)*eps_And)/(E/alpha_e+P*f_r)-1;
  del_s   = del_p;
end

if ocean==1
  value_1 = del_D_e(T_s,del_s,h);
else
  value_1 = del_s;
end

value_2   = del_D_e(T_s,del_s,h);

value     = f_s*value_1 + (1-f_s)*value_2;
