function value = fraction_il(T)

% FRACTION__IL calculates the ice fraction of precipitation 
% for a given temperature T (expressed in Kelvin).  The liquid 
% fraction is thus (1 - f_i).

% The following has f_i = 1 at T <= -40 C and f_i = 0 at T> = -5C 
% and varying linearly between these two temperatures. 

T_C = T - 273.16;
T_lo = -40.0;
T_hi = -0.0;

%if T_C <= T_lo
%  value = 1.0;
%elseif T_C >= T_hi
%  value = 0.0;
%else
%  value = 1-(T_C-T_lo)/(T_hi-T_lo);
%end

dT    = T_hi-T_lo;
T_0   = (T_lo+T_hi)/2;
arg   = (T_C-T_0)/(dT/4);

value = 0.5*(1-erf(arg));
value = erf(arg);

