% Columns:
%  1: latitude, deg.
%  2: del_18, del_D or d, v(theta)=0 (blue)
%  3: del_18, del_D or d, k(theta)=0 (red)
%  4: Temp(theta), C

load Andes_path1_base_del18.dat
load Andes_path1_base_delD.dat
load Andes_path1_base_d_excess.dat
load Andes_path1_field_jan.dat

d18      = Andes_path1_base_del18;
dD       = Andes_path1_base_delD;
excess   = Andes_path1_base_d_excess;
field    = Andes_path1_field_jan;

figure
subplot(3,1,1)
plot(d18(:,1)/1000,d18(:,2),'g-')
hold
plot(d18(:,1)/1000,d18(:,3),'b-')
plot(d18(:,1)/1000,d18(:,4),'r-')
plot(field(:,1)/1000,field(:,2),'ko')

subplot(3,1,2)
plot(dD(:,1)/1000,dD(:,2),'g-')
hold
plot(dD(:,1)/1000,dD(:,3),'b-')
plot(dD(:,1)/1000,dD(:,4),'r-')
plot(field(:,1)/1000,field(:,3),'ko')

subplot(3,1,3)
plot(excess(:,1)/1000,excess(:,2),'g-')
hold
plot(excess(:,1)/1000,excess(:,3),'b-')
plot(excess(:,1)/1000,excess(:,4),'r-')
plot(field(:,1)/1000,field(:,3)-8*field(:,2),'ko')

subplot(3,1,1)
title('Path 1 Base')
xlabel('Along-Path Length, km')
ylabel('del 0-18, b=p; g=a; r=e')
grid

subplot(3,1,2)
xlabel('Along-Path Length, km')
ylabel('del D, b=p; g=a; r=e')
grid

subplot(3,1,3)
xlabel('Along-Path Length, km')
ylabel('d Excess, b=p; g=a; r=e')
grid

