% Columns:
%  1: latitude, deg.
%  2: del_18, del_D or d, v(theta)=0 (blue)
%  3: del_18, del_D or d, k(theta)=0 (red)
%  4: Temp(theta), C

load Andes_path1_base_del18.dat
load Andes_path2_base_del18.dat
load Andes_path1_base_delD.dat
load Andes_path2_base_delD.dat
load Andes_path1_base_d_excess.dat
load Andes_path2_base_d_excess.dat
load Andes_path1_field_jan.dat
load Andes_path2_field_jan.dat
load Andes_path2_elev.dat
load Andes_path2_branchpoint.dat

d18_1    = Andes_path1_base_del18;
d18_2    = Andes_path2_base_del18;
dD_1     = Andes_path1_base_delD;
dD_2     = Andes_path2_base_delD;
excess_1 = Andes_path1_base_d_excess;
excess_2 = Andes_path2_base_d_excess;
field_1  = Andes_path1_field_jan;
field_2  = Andes_path2_field_jan;

elev_2   = Andes_path2_elev;
l_branch = Andes_path2_branchpoint;

l1       = length(field_2);
l2       = length(d18_2);

%for i=1:1:l1
%  for j=2:1:l2
%    if elev_2(j,2)>elev_2(j-1,2)&field_2(i,1)>elev_2(j,2)
%      dat_2(i,1)=elev_2(j,1);
%      dat_2(i,2)=field_2(i,2);
%      dat_2(i,3)=field_2(i,3);
%      dat_2(i,4)=field_2(i,4);
%    end
%  end
%end

dat_2(:,1)=1000*field_2(:,1);
dat_2(:,2)=field_2(:,2);
dat_2(:,3)=field_2(:,3);
dat_2(:,4)=field_2(:,4);

j    = 0;
for i=1:2:l1-1
  j=j+1;
  dat_avg_2(j,1)=dat_2(i,1);
  dat_avg_2(j,2)=(dat_2(i,2)+dat_2(i+1,2))/2;
  dat_avg_2(j,3)=(dat_2(i,3)+dat_2(i+1,3))/2;
  dat_avg_2(j,4)=(dat_2(i,4)+dat_2(i+1,4))/2;
end


figure
subplot(3,1,1)
plot(d18_1(:,1)/1000,d18_1(:,2),'g-')
hold
plot(d18_1(:,1)/1000,d18_1(:,3),'b-')
plot(d18_1(:,1)/1000,d18_1(:,4),'r-')
plot(field_1(:,1)/1000,field_1(:,2),'ko')
plot((d18_2(:,1)+l_branch)/1000,d18_2(:,2),'g-')
plot((d18_2(:,1)+l_branch)/1000,d18_2(:,3),'b-')
plot((d18_2(:,1)+l_branch)/1000,d18_2(:,4),'r-')
plot((dat_2(:,1)+l_branch)/1000,dat_2(:,2),'k+')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,2),'ko')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,2),'k+')

subplot(3,1,2)
plot(dD_1(:,1)/1000,dD_1(:,2),'g-')
hold
plot(dD_1(:,1)/1000,dD_1(:,3),'b-')
plot(dD_1(:,1)/1000,dD_1(:,4),'r-')
plot(field_1(:,1)/1000,field_1(:,3),'ko')
plot((dD_2(:,1)+l_branch)/1000,dD_2(:,2),'g-')
plot((dD_2(:,1)+l_branch)/1000,dD_2(:,3),'b-')
plot((dD_2(:,1)+l_branch)/1000,dD_2(:,4),'r-')
plot((dat_2(:,1)+l_branch)/1000,dat_2(:,3),'k+')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,3),'ko')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,3),'k+')

subplot(3,1,3)
plot(excess_1(:,1)/1000,excess_1(:,2),'g-')
hold
plot(excess_1(:,1)/1000,excess_1(:,3),'b-')
plot(excess_1(:,1)/1000,excess_1(:,4),'r-')
plot(field_1(:,1)/1000,field_1(:,3)-8*field_1(:,2),'ko')
plot((excess_2(:,1)+l_branch)/1000,excess_2(:,2),'g-')
plot((excess_2(:,1)+l_branch)/1000,excess_2(:,3),'b-')
plot((excess_2(:,1)+l_branch)/1000,excess_2(:,4),'r-')
plot((dat_2(:,1)+l_branch)/1000,dat_2(:,4),'k+')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,4),'ko')
plot((dat_avg_2(:,1)+l_branch)/1000,dat_avg_2(:,4),'k+')

subplot(3,1,1)
title('Paths 1 and 2, Base Model')
xlabel('Along-Path Length, km')
ylabel('del 0-18, b=p; g=a; r=e')
grid

subplot(3,1,2)
xlabel('Along-Path Length, km')
ylabel('del D, b=p; g=a; r=e')
grid

subplot(3,1,3)
xlabel('Along-Path Length, km')
ylabel('d Excess, b=p; g=a; r=e')
grid

print -dpsc jan_results.ps
