% Andean Isotope Model Parameter Values

% Integration coordinate is METERS ALONG PATH (starting at 0, natch.)
% Path1 = Oceanic/Amazonian portion;
% Path2 = Dogleg up onto Andes
% We're now on this dogleg.

% Read in climate file.

load Andes_path2_climate_base.dat;
load Andes_path2_base_initial_del.dat;
load Andes_path1_base_del18.dat;
load Andes_path1_base_delD.dat;

climate           = Andes_path2_climate_base;
number_nodes      = size(climate,1);

for i=1:1:number_nodes
  if climate(i,9) == 1
    i_land        = i+1;
  end
end

l(:,1)            = climate(:,1);
l_incr            = l(2,1)-l(1,1);

ts(:,1)           = climate(:,1);
ts(:,2)           = climate(:,2);
tc(:,1)           = climate(:,1);
tc(:,2)           = climate(:,3);
wc(:,1)           = climate(:,1);
wc(:,2)           = climate(:,4);
E(:,1)            = climate(:,1);
E(:,2)            = climate(:,5);
P(:,1)            = climate(:,1);
P(:,2)            = climate(:,6);
F(:,1)            = climate(:,1);
F(:,2)            = climate(:,7);
h(:,1)            = climate(:,1);
h(:,2)            = climate(:,8);
run(:,1)          = climate(:,1);
run(:,2)          = climate(:,9);
ocean(:,1)        = climate(:,1);
ocean(:,2)        = climate(:,10);
del_18_w(:,1)     = climate(:,1);
del_18_w(:,2)     = climate(:,11);

init_del          = Andes_path2_base_initial_del;

% Calculate d_wc/d_l:

denom1    = 24*l_incr;

i         = 1;
d_wc(i,1) = l(i);
d_wc(i,2) = (-50*wc(i,2)+96*wc(i+1,2)-72*wc(i+2,2) ...
          + 32*wc(i+3,2)-6*wc(i+4,2))/denom1;

i         = 2;
d_wc(i,1) = l(i);
d_wc(i,2) = (-6*wc(i-1,2)-20*wc(i,2)+36*wc(i+1,2) ...
          - 12*wc(i+2,2)+2*wc(i+3,2))/denom1;

for i=3:1:(number_nodes-2)
  d_wc(i,1) = l(i);
  d_wc(i,2) = (2*wc(i-2,2)-16*wc(i-1,2)+16*wc(i+1,2) ...
            - 2*wc(i+2,2))/denom1;
end

i         = (number_nodes-1);
d_wc(i,1) = l(i);
d_wc(i,2) = (-2*wc(i-3,2)+12*wc(i-2,2)-36*wc(i-1,2) ...
          + 20*wc(i,2)+6*wc(i+1,2))/denom1;

i         = number_nodes;
d_wc(i,1) = l(i);
d_wc(i,2) = (6*wc(i-4,2)-32*wc(i-3,2)+72*wc(i-2,2) ...
          - 96*wc(i-1,2)+50*wc(i,2))/denom1;

