function value = sat_vapor(T)

% Clausius-Clapeyron Equation for saturation water vapor pressure 

T_0 = 273.16;    % K, 0C
e_0 = 6.11e+00;  % hPa, saturation vapor pressure at 0C
R_v = 461e+00;   % J/(K*kg), gas constant for water vapor
L_v = 2.5e+06;   % J/kg, latent heat of vaporization

value = e_0*exp((L_v/R_v)*((1/T_0)-(1/T)));

