function value = source_sink_18(del_a,del_w,T_c,T_s,h,P,E,F,ocean)

% SOURCE_SINK_18 calculates the source and sink terms in the del_18 equation.

f_s = 0.4; % Evaporative del_e: 0=fractionated from del_s; 1=del_s

%eps_And = 0.0;   % = added influx of Andean runoff; fraction of P 
%del_And = 0.000; % = del 18O value of Andean runoff

eps_And = E/P-1;
if eps_And > 0.0
  f_r     = 0.0;
else
  eps_And = 0.0;
  f_r     = ((1+eps_And)*P-E)/P;
end

if ocean==1             % Surface at this latitude is ocean
  del_s = del_w;
else                    % Surface at this latitude is land
  alpha_e = alpha_18_e(T_s,h);
  del_p   = del_18_p(T_c,del_a);
  del_And = del_p;
%  del_s   = P*((1+del_p)+(1+del_And)*eps_And)/(E/alpha_e+P*f_r)-1;
  del_s   = del_p;
end

if ocean==1
  value_1 = F*(E*delta_18_e(T_s,del_a,del_s,h)-P*delta_18_p(T_c,del_a));
else
  value_1 = F*(E*(del_s-del_a)-P*delta_18_p(T_c,del_a));
end

value_2   = F*(E*delta_18_e(T_s,del_a,del_s,h)-P*delta_18_p(T_c,del_a));

value     = f_s*value_1 + (1-f_s)*value_2;
