% Columns:
%  1: latitude, deg.
%  2: del_18, del_D or d, v(theta)=0 (blue)
%  3: del_18, del_D or d, k(theta)=0 (red)
%  4: Temp(theta), C

load Andes_path2_base_del18.dat
load Andes_path2_base_delD.dat
load Andes_path2_base_d_excess.dat
load Andes_path2_elev.dat
load Andes_path2_field_jul.dat

d18      = Andes_path2_base_del18;
dD       = Andes_path2_base_delD;
excess   = Andes_path2_base_d_excess;
elev     = Andes_path2_elev;
field    = Andes_path2_field_jul;

l1       = length(field);
l2       = length(d18);

%for i=1:1:l1
%  for j=2:1:l2
%    if elev(j,2)>elev(j-1,2)&field(i,1)>elev(j,2)
%      dat(i,1)=elev(j,1);
%      dat(i,2)=field(i,2);
%      dat(i,3)=field(i,3);
%      dat(i,4)=field(i,4);
%    end
%  end
%end

dat(:,1)=1000*field(:,1);
dat(:,2)=field(:,2);
dat(:,3)=field(:,3);
dat(:,4)=field(:,4);

j    = 0;
for i=1:2:l1-1
  j=j+1;
  dat_avg(j,1)=dat(i,1);
  dat_avg(j,2)=(dat(i,2)+dat(i+1,2))/2;
  dat_avg(j,3)=(dat(i,3)+dat(i+1,3))/2;
  dat_avg(j,4)=(dat(i,4)+dat(i+1,4))/2;
end

figure
subplot(3,1,1)
plot(d18(:,1)/1000,d18(:,2),'g-')
hold
plot(d18(:,1)/1000,d18(:,3),'b-')
plot(d18(:,1)/1000,d18(:,4),'r-')
plot(dat(:,1)/1000,dat(:,2),'k+')
plot(dat_avg(:,1)/1000,dat_avg(:,2),'ko')
plot(dat_avg(:,1)/1000,dat_avg(:,2),'k+')

subplot(3,1,2)
plot(dD(:,1)/1000,dD(:,2),'g-')
hold
plot(dD(:,1)/1000,dD(:,3),'b-')
plot(dD(:,1)/1000,dD(:,4),'r-')
plot(dat(:,1)/1000,dat(:,3),'k+')
plot(dat_avg(:,1)/1000,dat_avg(:,3),'ko')
plot(dat_avg(:,1)/1000,dat_avg(:,3),'k+')

subplot(3,1,3)
plot(excess(:,1)/1000,excess(:,2),'g-')
hold
plot(excess(:,1)/1000,excess(:,3),'b-')
plot(excess(:,1)/1000,excess(:,4),'r-')
plot(dat(:,1)/1000,dat(:,4),'k+')
plot(dat_avg(:,1)/1000,dat_avg(:,4),'ko')
plot(dat_avg(:,1)/1000,dat_avg(:,4),'k+')

subplot(3,1,1)
title('Path 2 Base')
xlabel('Along-Path Length, km')
ylabel('del 0-18, b=p; g=a; r=e')
grid

subplot(3,1,2)
xlabel('Along-Path Length, km')
ylabel('del D, b=p; g=a; r=e')
grid

subplot(3,1,3)
xlabel('Along-Path Length, km')
ylabel('d Excess, b=p; g=a; r=e')
grid

